/**
 * ANSItex definitions
 */

var ACTION_EXIT				=99;		/* Exit the script							*/
var ACTION_RELOAD			=1;		/* Reload the current frame					*/
var ACTION_GOTO				=2;		/* Goto a specific frame					*/
var ACTION_BACKUP			=3;		/* Goto previous frame						*/
var ACTION_NEXT				=4;		/* Goto next frame							*/
var ACTION_TERMINATE		=5;		/* Terminate the session					*/
var ACTION_SUBMITRF			=6;		/* Submit form contents						*/
var ACTION_STAR				=7;		/* Star command entry						*/
var ACTION_EDIT				=8;		/* Edit a frame								*/

var MODE_BL					=1;		/* Typing * command on baseline				*/
var MODE_FIELD				=2;		/* Field Input								*/
var MODE_SUBMITRF			=3;		/* Asking if form should be submitted		*/
var MODE_RFNOTSENT			=4;		/* Response frame not sent					*/
var MODE_RFSENT				=5;		/* Response frame sent						*/
var MODE_RFERROR			=6;		/* Response frame error						*/

var FRAME_COSTUNIT			='c';	/* Unit of cost								*/

var FRAME_TYPE_INFO			='i';	// Information Frame, requires no response after viewed
var FRAME_TYPE_TERMINATE	='t';	// Terminate Frame, contents displayed and then carrier dropped
var FRAME_TYPE_EXTERNAL		='x';	// Frame the calls an External Method
									// Contents indicate the method to be called with arguments
var FRAME_TYPE_RESPONSE		='r';	// Response frame, input fields are embedded in the frame and after input the
									// response will be submitted to the Service Provider, or to a method
var FRAME_TYPE_LOGIN		='l';	// Login frame, enables the user to authenticate to the system, or to a CUG

var NO_HISTORY_FRAMES		=['980a','98b','981a'];
var SYSTEM_OWNER			=9;
var INKEY_TIMEOUT			=10000;
var INACTIVE_NOLOGIN		=30000;
var INACTIVE_LOGIN			=5*60000;

this;